<?php

namespace Drupal\Tests\ot\Functional;

use Drupal\FunctionalJavascriptTests\WebDriverTestBase;

/**
 * Tests for node override title.
 */
class NodeOverrideTitleTest extends WebDriverTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = ['node', 'ot'];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();

    $account = $this->drupalCreateUser(['add ot']);
    $this->drupalLogin($account);
  }

  /**
   * Test add override title.
   */
  public function testAddOverrideTitle() {
    $this->drupalGet('/admin/structure/ot/add');
    // Get page and session.
    $page = $this->getSession()->getPage();

    $ot_type_id_field = $page->findField('ot_type_id');

    // Change the value for the field to non numeric.
    $ot_type_id_field->setValue("not numeric");
    $elm = '<div role="contentinfo" aria-label="Error message" class="messages messages--error" style=""><div role="alert"><h2 class="visually-hidden">Error message</h2> Please enter numeric value as node_id.</div></div>';
    $this->assertJsCondition("jQuery(\"#ot-type-id-exists\").html() == '" . $elm . "'");
  }

}
